com.threerings.whirled.data

## Class SceneMarshaller

- java.lang.Object
- - com.threerings.presents.data.InvocationMarshaller
  - - com.threerings.whirled.data.SceneMarshaller

All Implemented Interfaces:
  com.threerings.io.Streamable, com.threerings.presents.client.InvocationService, SceneService

    @Generated(value="com.threerings.presents.tools.GenServiceTask",
               comments="Derived from SceneService.java.")
    public class SceneMarshaller
    extends com.threerings.presents.data.InvocationMarshaller
    implements SceneService

Provides the implementation of the `SceneService` interface that marshalls the arguments and delivers the request to the provider on the server. Also provides an implementation of the response listener interfaces that marshall the response arguments and deliver them back to the requesting client.

### Nested Class Summary

Nested Classes
`static class` `SceneMarshaller.SceneMoveMarshaller` Marshalls results to implementations of `SceneService.SceneMoveListener`.

### Nested classes/interfaces inherited from class com.threerings.presents.data.InvocationMarshaller

`com.threerings.presents.data.InvocationMarshaller.ConfirmMarshaller, com.threerings.presents.data.InvocationMarshaller.ListenerMarshaller, com.threerings.presents.data.InvocationMarshaller.ResultMarshaller`

### Nested classes/interfaces inherited from interface com.threerings.whirled.client.SceneService

`SceneService.SceneMoveListener`

### Nested classes/interfaces inherited from interface com.threerings.presents.client.InvocationService

`com.threerings.presents.client.InvocationService.ConfirmListener, com.threerings.presents.client.InvocationService.InvocationListener, com.threerings.presents.client.InvocationService.ResultListener`

### Nested classes/interfaces inherited from interface com.threerings.io.Streamable

`com.threerings.io.Streamable.Closure`

### Field Summary

Fields
`static int` `MOVE_TO` The method id used to dispatch `moveTo(int, int, com.threerings.whirled.client.SceneService.SceneMoveListener)` requests.

### Constructor Summary

Constructors
Constructor and Description
`SceneMarshaller()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `moveTo(int arg1, int arg2, SceneService.SceneMoveListener arg3)` Requests that that this client's body be moved to the specified scene.

### Methods inherited from class com.threerings.presents.data.InvocationMarshaller

`getInvocationCode, init, readObject, setInvocationOid, setNoResponse, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### MOVE_TO

    public static final int MOVE_TO

The method id used to dispatch `moveTo(int, int, com.threerings.whirled.client.SceneService.SceneMoveListener)` requests.

See Also:
  Constant Field Values

### Constructor Detail

#### SceneMarshaller

    public SceneMarshaller()

### Method Detail

#### moveTo

    public void moveTo(int arg1,
                       int arg2,
                       SceneService.SceneMoveListener arg3)

Description copied from interface: `SceneService`
Requests that that this client's body be moved to the specified scene.

Specified by:
  `moveTo` in interface `SceneService`
Parameters:
  `arg1` - the scene id to which we want to move.
  `arg2` - the version number of the scene object that we have in our local repository.